---
title: "Get smart fields from template"
url: "https://docs.signnow.com/docs/smart-fields/operations/get-smart-fields-from-template_id-integration_objects"
type: "endpoint"
section: "smart-fields"
slug: "smart-fields/operations/get-smart-fields-from-template_id-integration_objects"
method: "GET"
path: "/document/{template_id}/integration_objects"
operation_id: "get-smart-fields-from-template_id-integration_objects"
authorization: "bearer"
---

# Get smart fields from template

`GET /document/{template_id}/integration_objects`

Allows API users to get info about smart fields from a template. 

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `template_id` | string | Yes | ID of the template |

## Responses

### 200

OK

**Example** (`example-1`)

```json
{
  "integration_objects": [
    {
      "x": "217",
      "y": "32",
      "id": "67XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "data": "Some Data",
      "font": "Arial",
      "size": "12",
      "email": "user@email.com",
      "created": "1553867317",
      "user_id": "80XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "document_id": "90XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "line_height": "0.00",
      "page_number": 0,
      "json_attributes": {
        "bold": true,
        "color": "FFFAF0",
        "italic": false,
        "underline": false
      },
      "api_integration_id": "b9XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
    }
  ]
}
```

### 400

Bad Request

**Example** (`Document not found`)

```json
{
  "code": 65582,
  "message": "Document not found"
}
```

**Example** (`Invalid Authorization`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`Field invite not found`)

```json
{
  "code": 66502,
  "message": "Field invite not found"
}
```

**Example** (`authentication type must not be empty`)

```json
{
  "code": 65536,
  "message": "authentication type must not be empty"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/document/{template_id}/integration_objects" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/smart-fields/operations/get-smart-fields-from-template_id-integration_objects*
